%global pypi_name guessit

Name:           python-%{pypi_name}
Version:        3.8.0
Release:        %mkrel 3
Summary:        A library for guessing information from video filenames
Group:          Development/Python
License:        GPLv3
URL:            https://pypi.org/project/guessit/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
GuessIt is a python library that extracts as much information as possible from
a video filename.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest-runner)

%description -n python3-%{pypi_name}
GuessIt is a python library that extracts as much information as possible from
a video filename.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files guessit

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS.md CHANGELOG.md CONTRIBUTING.md LICENSE README.md 
%{_bindir}/guessit


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.8.0-3.mga10
+ Revision: 2239972
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 3.8.0-2.mga10
+ Revision: 2157096
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 3.8.0-1.mga10
+ Revision: 2077530
- new version 3.8.0

* Sun Jan 21 2024 papoteur <papoteur> 3.7.1-2.mga10
+ Revision: 2033470
- rebuild for python 3.12

* Mon Sep 11 2023 papoteur <papoteur> 3.7.1-1.mga10
+ Revision: 1986208
- new 3.7.1

* Sun Jan 15 2023 guillomovitch <guillomovitch> 3.5.0-1.mga9
+ Revision: 1933283
- new version 3.5.0

* Sun Mar 27 2022 umeabot <umeabot> 3.4.3-3.mga9
+ Revision: 1828909
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.4.3-2.mga9
+ Revision: 1784411
- rebuild for python-3.10

* Sun Jan 23 2022 guillomovitch <guillomovitch> 3.4.3-1.mga9
+ Revision: 1769555
- new version 3.4.3

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.3.1-2.mga9
+ Revision: 1705850
- rebuild for python 3.9

* Fri Feb 26 2021 guillomovitch <guillomovitch> 3.3.1-1.mga9
+ Revision: 1691753
- new version 3.3.1

* Fri May 08 2020 guillomovitch <guillomovitch> 3.1.1-1.mga8
+ Revision: 1581760
- imported package python-guessit

